package ru.yandex.autotests.directapi.exceptions;

/**
 * Created by IntelliJ IDEA.
 * User: mariabye
 * Date: 06.08.12
 * Time: 12:03
 * To change this template use File | Settings | File Templates.
 */
public class TimeoutException extends RuntimeException {
    String mistake = "Превышено ожидание обработки асинхронного запроса к сервису";

    public TimeoutException() {
        super();             // call superclass constructor
        mistake = "unknown";
    }

    public TimeoutException(String err) {
        super(err);     // call super class constructor
        mistake = err;  // save message
    }

    public TimeoutException(String message, Throwable cause) {
        super(message, cause);
    }
}
